scoreboard players add timer bizcub.pvp_arena 1
scoreboard players set min bizcub.pvp_arena 0

execute if score timer bizcub.pvp_arena = start_time bizcub.pvp_arena as @n[tag=bizcub.arena_place,type=marker] at @s run function pvp-arena:game/remove_cages
execute if score timer bizcub.pvp_arena <= start_time bizcub.pvp_arena run function pvp-arena:game/time_start
execute if score timer bizcub.pvp_arena > start_time bizcub.pvp_arena if score timer bizcub.pvp_arena <= game_time bizcub.pvp_arena run function pvp-arena:game/time_main
execute if score timer bizcub.pvp_arena = game_time bizcub.pvp_arena run function pvp-arena:game/check_damage with storage bizcub pvp_arena.start
execute if score timer bizcub.pvp_arena = game_time bizcub.pvp_arena run schedule function pvp-arena:end/end 100

execute if score sec bizcub.pvp_arena matches 0..9 run data modify storage bizcub pvp_arena.timer.0 set value 0
execute unless score sec bizcub.pvp_arena matches 0..9 run data modify storage bizcub pvp_arena.timer.0 set value ''

function pvp-arena:game/sound
function pvp-arena:game/arenas_actions

execute as @n[tag=bizcub.arena_place,type=marker] at @s positioned ~78 ~35 ~11 as @p[tag=bizcub.pvp_arena.players,tag=!bizcub.pvp_arena.spectator,distance=..1] run function pvp-arena:game/death

title @a[tag=bizcub.pvp_arena.players] reset
title @a[tag=bizcub.pvp_arena.players] times 0 50 20
title @a[tag=bizcub.pvp_arena.players] actionbar ''
execute if score timer bizcub.pvp_arena <= start_time bizcub.pvp_arena unless score sec bizcub.pvp_arena matches 0..3 run title @a[tag=bizcub.pvp_arena.players] actionbar {score:{name:sec,objective:bizcub.pvp_arena}}
execute if score timer bizcub.pvp_arena <= game_time bizcub.pvp_arena if score timer bizcub.pvp_arena > start_time bizcub.pvp_arena run title @a[tag=bizcub.pvp_arena.players] actionbar [{score:{name:min,objective:bizcub.pvp_arena}},':',{nbt:pvp_arena.timer.0,storage:bizcub},{score:{name:sec,objective:bizcub.pvp_arena}}]
execute if score min bizcub.pvp_arena matches 0 if score timer bizcub.pvp_arena <= game_time bizcub.pvp_arena if score sec bizcub.pvp_arena matches 0..3 run title @a[tag=bizcub.pvp_arena.players] title {score:{name:sec,objective:bizcub.pvp_arena}}
execute if score timer bizcub.pvp_arena > start_time bizcub.pvp_arena if score sec bizcub.pvp_arena matches 0..3 if score min bizcub.pvp_arena matches 0 run title @a[tag=bizcub.pvp_arena.players] actionbar ''

execute if score timer bizcub.pvp_arena > start_time bizcub.pvp_arena as @n[tag=bizcub.arena_place,type=marker] at @s as @e[type=item,dx=100,dy=100,dz=100] run data modify entity @s PickupDelay set value -1

execute as @n[tag=bizcub.arena_place,type=marker] at @s positioned ~22 ~3 ~23 as @a[dx=45,dz=45] run damage @s 20 escape_from_arena

execute if score timer bizcub.pvp_arena = game_time bizcub.pvp_arena run schedule function pvp-arena:end/win 50

execute as @n[tag=bizcub.arena_place,type=marker] at @s run function pvp-arena:game/check_players_location
execute if data storage bizcub {pvp_arena:{start:{count:1}}} run function pvp-arena:end/win

execute if score timer bizcub.pvp_arena matches ..4100 run schedule function pvp-arena:game/tick 1
