function pvp-arena:place/frame_count_check

gamerule commandModificationBlockLimit 1000000
gamerule doFireTick false
gamerule announceAdvancements false
gamerule sendCommandFeedback false
gamerule commandBlockOutput false
gamerule doImmediateRespawn true

scoreboard objectives add bizcub.pvp_arena dummy
scoreboard objectives add bizcub.pvp_arena.give trigger
scoreboard objectives add bizcub.pvp_arena.damage custom:damage_dealt

scoreboard players set game_time bizcub.pvp_arena 3800
scoreboard players set start_time bizcub.pvp_arena 200
scoreboard players set 1200 bizcub.pvp_arena 1200
scoreboard players set 60 bizcub.pvp_arena 60
scoreboard players set 20 bizcub.pvp_arena 20

team add bizcub.pvp_arena.spectators
team add bizcub.pvp_arena.players
team modify bizcub.pvp_arena.spectators suffix [{text:' [',color:'#d1d1d1'},{translate:bizcub.pvp_arena.team.spectators},']']
team modify bizcub.pvp_arena.players nametagVisibility hideForOwnTeam

execute unless data storage bizcub pvp_arena.start.is_game run data modify storage bizcub pvp_arena.start.is_game set value false

data modify storage bizcub pvp_arena.sets.weapon.netherite.value set value [{id:netherite_sword},{id:netherite_axe}]
data modify storage bizcub pvp_arena.sets.weapon.diamond.value set value [{id:diamond_sword},{id:diamond_axe}]
data modify storage bizcub pvp_arena.sets.weapon.iron.value set value [{id:iron_sword},{id:iron_axe}]
data modify storage bizcub pvp_arena.sets.weapon.gold.value set value [{id:golden_sword},{id:golden_axe}]
data modify storage bizcub pvp_arena.sets.weapon.stone.value set value [{id:stone_sword},{id:stone_axe}]
data modify storage bizcub pvp_arena.sets.weapon.wood.value set value [{id:wooden_sword},{id:wooden_axe}]
data modify storage bizcub pvp_arena.sets.weapon.mace.value set value [{id:mace},{id:wind_charge,count:64}]
data modify storage bizcub pvp_arena.sets.weapon.bow.value set value [{id:bow},{id:arrow,count:64},{id:arrow,count:64}]
data modify storage bizcub pvp_arena.sets.weapon.trident.value set value [{id:trident,components:{enchantments:{loyalty:3}}}]
data modify storage bizcub pvp_arena.sets.weapon.crossbow.value set value [{id:crossbow},{id:arrow,count:64},{id:firework_rocket,count:32,components:{fireworks:{explosions:[{shape:small_ball,colors:[16777215,8026746,0]}]}}}]
data modify storage bizcub pvp_arena.sets.weapon.without.value set value [{id:air}]
data modify storage bizcub pvp_arena.sets.weapon.mix.value set value [{id:iron_sword},{id:iron_axe},{id:mace},{id:wind_charge,count:16},{id:bow},{id:crossbow},{id:arrow,count:32},{id:trident}]

data modify storage bizcub pvp_arena.sets.armor.netherite.value set value [{id:netherite_helmet},{id:netherite_chestplate},{id:netherite_leggings},{id:netherite_boots}]
data modify storage bizcub pvp_arena.sets.armor.diamond.value set value [{id:diamond_helmet},{id:diamond_chestplate},{id:diamond_leggings},{id:diamond_boots}]
data modify storage bizcub pvp_arena.sets.armor.iron.value set value [{id:iron_helmet},{id:iron_chestplate},{id:iron_leggings},{id:iron_boots}]
data modify storage bizcub pvp_arena.sets.armor.chainmail.value set value [{id:chainmail_helmet},{id:chainmail_chestplate},{id:chainmail_leggings},{id:chainmail_boots}]
data modify storage bizcub pvp_arena.sets.armor.gold.value set value [{id:golden_helmet},{id:golden_chestplate},{id:golden_leggings},{id:golden_boots}]
data modify storage bizcub pvp_arena.sets.armor.leather.value set value [{id:leather_helmet},{id:leather_chestplate},{id:leather_leggings},{id:leather_boots}]
data modify storage bizcub pvp_arena.sets.armor.without.value set value [{id:air}]

data modify storage bizcub pvp_arena.sets.food.gapples.value set value [{id:golden_apple,count:64},{id:enchanted_golden_apple,count:64}]
data modify storage bizcub pvp_arena.sets.food.steaks.value set value [{id:cooked_beef,count:64},{id:cooked_porkchop,count:64}]
data modify storage bizcub pvp_arena.sets.food.apples.value set value [{id:apple,count:64}]
data modify storage bizcub pvp_arena.sets.food.without.value set value [{id:air}]

data modify storage bizcub pvp_arena.sets.extra.without.value set value [{id:air}]
data modify storage bizcub pvp_arena.sets.extra.shield.value set value [{id:shield}]
data modify storage bizcub pvp_arena.sets.extra.ender_pearl.value set value [{id:ender_pearl,count:16},{id:ender_pearl,count:16}]
data modify storage bizcub pvp_arena.sets.extra.mix.value set value [{id:shield},{id:ender_pearl,count:16}]

data modify storage bizcub pvp_arena.sets.potion.strong_healing.value set value [{id:splash_potion,components:{potion_contents:{potion:strong_healing}}},{id:splash_potion,components:{potion_contents:{potion:strong_healing}}},{id:splash_potion,components:{potion_contents:{potion:strong_healing}}},{id:splash_potion,components:{potion_contents:{potion:strong_healing}}}]
data modify storage bizcub pvp_arena.sets.potion.poison.value set value [{id:splash_potion,components:{potion_contents:{potion:poison}}},{id:splash_potion,components:{potion_contents:{potion:poison}}}]
data modify storage bizcub pvp_arena.sets.potion.invisibility.value set value [{id:potion,components:{potion_contents:{potion:invisibility}}}]
data modify storage bizcub pvp_arena.sets.potion.strong_harming.value set value [{id:splash_potion,components:{potion_contents:{potion:strong_harming}}},{id:splash_potion,components:{potion_contents:{potion:strong_harming}}},{id:splash_potion,components:{potion_contents:{potion:strong_harming}}},{id:splash_potion,components:{potion_contents:{potion:strong_harming}}},{id:splash_potion,components:{potion_contents:{potion:strong_harming}}}]
data modify storage bizcub pvp_arena.sets.potion.debuff.value set value [{id:splash_potion,components:{potion_contents:{potion:weakness}}},{id:splash_potion,components:{potion_contents:{potion:weakness}}},{id:splash_potion,components:{potion_contents:{potion:weakness}}},{id:splash_potion,components:{potion_contents:{potion:slowness}}},{id:splash_potion,components:{potion_contents:{potion:slowness}}},{id:splash_potion,components:{potion_contents:{potion:slowness}}}]
data modify storage bizcub pvp_arena.sets.potion.regeneration.value set value [{id:potion,components:{potion_contents:{potion:regeneration}}},{id:potion,components:{potion_contents:{potion:strong_regeneration}}}]
data modify storage bizcub pvp_arena.sets.potion.mix.value set value [{id:potion,components:{potion_contents:{potion:regeneration}}},{id:splash_potion,components:{potion_contents:{potion:slowness}}},{id:splash_potion,components:{potion_contents:{potion:weakness}}},{id:splash_potion,components:{potion_contents:{potion:strong_harming}}}]
data modify storage bizcub pvp_arena.sets.potion.without.value set value [{id:air}]
