data modify storage bizcub pvp_arena.current.action set value arena
data modify storage bizcub pvp_arena.current.content.arena set value plains
data modify storage bizcub pvp_arena.current.content.weapon set value wood
data modify storage bizcub pvp_arena.current.content.armor set value leather
data modify storage bizcub pvp_arena.current.content.food set value apples
data modify storage bizcub pvp_arena.current.content.extra set value without
data modify storage bizcub pvp_arena.current.content.potion set value strong_healing

fill ~-1 ~ ~3 ~-3 ~3 ~3 white_concrete_powder

summon marker ~ ~ ~ {Tags:[bizcub.arena_place]}

summon text_display ~-2 ~2.75 ~2.499 {text:{translate:bizcub.pvp_arena.action.arena,color:'#6abee6'},Tags:[bizcub.pvp_arena.action_select,bizcub.pvp_arena],Rotation:[180f,0f],shadow:true,background:0,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.2f,1.2f,1.2f]}}
execute as @n[tag=bizcub.pvp_arena.action_select] at @s run summon text_display ~1.25 ~-.05 ~ {text:{text:"◀",color:'#999999'},Tags:[bizcub.pvp_arena.action_arrow1,bizcub.pvp_arena],Rotation:[180f,0f],shadow:true,background:0,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.5f,1.5f,1.5f]}}
execute as @n[tag=bizcub.pvp_arena.action_select] at @s run summon text_display ~-1.25 ~-.05 ~ {text:{text:"▶",color:'#999999'},Tags:[bizcub.pvp_arena.action_arrow2,bizcub.pvp_arena],Rotation:[180f,0f],shadow:true,background:0,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.5f,1.5f,1.5f]}}
execute as @n[tag=bizcub.pvp_arena.action_arrow1] at @s run summon interaction ~-.05 ~-.05 ~ {height:.5,width:.5,Tags:[bizcub.pvp_arena.int1,bizcub.pvp_arena],response:true}
execute as @n[tag=bizcub.pvp_arena.action_arrow2] at @s run summon interaction ~.05 ~-.05 ~ {height:.5,width:.5,Tags:[bizcub.pvp_arena.int2,bizcub.pvp_arena],response:true}

execute as @n[tag=bizcub.pvp_arena.action_select] at @s run summon text_display ~ ~-1 ~ {text:{translate:bizcub.pvp_arena.content.arena.plains,font:pvp_arena},Tags:[bizcub.pvp_arena.content_select,bizcub.pvp_arena],Rotation:[180f,0f],background:0,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,-.5f,0f],scale:[5f,5f,5f]}}
execute as @n[tag=bizcub.pvp_arena.content_select] at @s run summon text_display ~1.25 ~-.05 ~ {text:{text:"◀",color:'#999999'},Tags:[bizcub.pvp_arena.action_arrow3,bizcub.pvp_arena],Rotation:[180f,0f],shadow:true,background:0,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.5f,1.5f,1.5f]}}
execute as @n[tag=bizcub.pvp_arena.content_select] at @s run summon text_display ~-1.25 ~-.05 ~ {text:{text:"▶",color:'#999999'},Tags:[bizcub.pvp_arena.action_arrow4,bizcub.pvp_arena],Rotation:[180f,0f],shadow:true,background:0,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.5f,1.5f,1.5f]}}
execute as @n[tag=bizcub.pvp_arena.content_select] at @s run summon text_display ~ ~-.05 ~-.001 {text:['',{font:pvp_arena,text:'\u0102\u0102\u0102\n'},{translate:'',color:'#404040'}],Tags:[bizcub.pvp_arena.invenory_name,bizcub.pvp_arena],Rotation:[180f,0f],alignment:left,background:0,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.047f,.446f,0f],scale:[.41f,.41f,.41f]}}
execute as @n[tag=bizcub.pvp_arena.action_arrow3] at @s run summon interaction ~-.05 ~-.05 ~ {height:.5,width:.5,Tags:[bizcub.pvp_arena.int3,bizcub.pvp_arena],response:true}
execute as @n[tag=bizcub.pvp_arena.action_arrow4] at @s run summon interaction ~.05 ~-.05 ~ {height:.5,width:.5,Tags:[bizcub.pvp_arena.int4,bizcub.pvp_arena],response:true}

execute as @n[tag=bizcub.pvp_arena.content_select] at @s run summon item_display ~ ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item0,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item0] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item1,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item1] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item2,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item2] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item3,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item3] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item4,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item4] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item5,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item5] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item6,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item6] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item7,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item7] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item8,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item0] at @s run summon item_display ~ ~-.1845 ~ {item:{id:air},Tags:[bizcub.pvp_arena.item9,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item9] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item10,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item10] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item11,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item11] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item12,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item12] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item13,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item13] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item14,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item14] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item15,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item15] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item16,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item16] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item17,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item9] at @s run summon item_display ~ ~-.1845 ~ {item:{id:air},Tags:[bizcub.pvp_arena.item18,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item18] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item19,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item19] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item20,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item20] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item21,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item21] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item22,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item22] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item23,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item23] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item24,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item24] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item25,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}
execute as @n[tag=bizcub.pvp_arena.item25] at @s run summon item_display ~-.1845 ~ ~ {item:{id:air},Tags:[bizcub.pvp_arena.item26,bizcub.pvp_arena],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[.685f,.24f,0f],scale:[.35f,.35f,.35f]},item_display:ground}

execute as @n[tag=bizcub.pvp_arena.content_select] at @s run summon text_display ~ ~-1 ~ {text:{translate:bizcub.pvp_arena.content.start,color:'#e74b4b'},Tags:[bizcub.pvp_arena.start,bizcub.pvp_arena],Rotation:[180f,0f],shadow:true,background:0,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.2f,1.2f,1.2f]}}
execute as @n[tag=bizcub.pvp_arena.start] at @s run summon interaction ~-.25 ~-.1 ~ {height:.5,width:.5,Tags:[bizcub.pvp_arena.int5,bizcub.pvp_arena],response:true}
execute as @n[tag=bizcub.pvp_arena.start] at @s run summon interaction ~.25 ~-.1 ~ {height:.5,width:.5,Tags:[bizcub.pvp_arena.int5,bizcub.pvp_arena],response:true}

kill @e[tag=bizcub.arena_place,type=item_frame]
