execute as @a[tag=bizcub.pvp_arena.players] at @s run setblock ~ ~ ~ chest

$execute store result score give_weapon bizcub.pvp_arena run data get storage bizcub pvp_arena.sets.weapon.$(weapon).value
$execute store result score give_armor bizcub.pvp_arena run data get storage bizcub pvp_arena.sets.armor.$(armor).value
$execute store result score give_food bizcub.pvp_arena run data get storage bizcub pvp_arena.sets.food.$(food).value
$execute store result score give_extra bizcub.pvp_arena run data get storage bizcub pvp_arena.sets.extra.$(extra).value
$execute store result score give_potion bizcub.pvp_arena run data get storage bizcub pvp_arena.sets.potion.$(potion).value

data remove storage bizcub pvp_arena.give
data remove storage bizcub pvp_arena.temp.give

scoreboard players remove give_weapon bizcub.pvp_arena 1
scoreboard players remove give_armor bizcub.pvp_arena 1
scoreboard players remove give_food bizcub.pvp_arena 1
scoreboard players remove give_extra bizcub.pvp_arena 1
scoreboard players remove give_potion bizcub.pvp_arena 1

execute store result storage bizcub pvp_arena.give.weapon.count int 1 run scoreboard players get give_weapon bizcub.pvp_arena
execute store result storage bizcub pvp_arena.give.armor.count int 1 run scoreboard players get give_armor bizcub.pvp_arena
execute store result storage bizcub pvp_arena.give.food.count int 1 run scoreboard players get give_food bizcub.pvp_arena
execute store result storage bizcub pvp_arena.give.extra.count int 1 run scoreboard players get give_extra bizcub.pvp_arena
execute store result storage bizcub pvp_arena.give.potion.count int 1 run scoreboard players get give_potion bizcub.pvp_arena

data modify storage bizcub pvp_arena.give.weapon.name set from storage bizcub pvp_arena.current.content.weapon
data modify storage bizcub pvp_arena.give.armor.name set from storage bizcub pvp_arena.current.content.armor
data modify storage bizcub pvp_arena.give.food.name set from storage bizcub pvp_arena.current.content.food
data modify storage bizcub pvp_arena.give.extra.name set from storage bizcub pvp_arena.current.content.extra
data modify storage bizcub pvp_arena.give.potion.name set from storage bizcub pvp_arena.current.content.potion

function pvp-arena:start/give/weapon with storage bizcub pvp_arena.give.weapon
function pvp-arena:start/give/armor with storage bizcub pvp_arena.give.armor
function pvp-arena:start/give/food with storage bizcub pvp_arena.give.food
function pvp-arena:start/give/extra with storage bizcub pvp_arena.give.extra
function pvp-arena:start/give/potion with storage bizcub pvp_arena.give.potion

execute store result score slot_count bizcub.pvp_arena run data get storage bizcub pvp_arena.temp.give.list
scoreboard players remove slot_count bizcub.pvp_arena 1
execute store result storage bizcub pvp_arena.temp.give.slot_count int 1 run scoreboard players get slot_count bizcub.pvp_arena

function pvp-arena:start/give/slots with storage bizcub pvp_arena.temp.give

execute as @a[tag=bizcub.pvp_arena.players] at @s run data modify block ~ ~ ~ Items set from storage bizcub pvp_arena.temp.give.list
execute as @a[tag=bizcub.pvp_arena.players] at @s run setblock ~ ~ ~ air destroy

schedule function pvp-arena:start/give/kill_chest 1
